Subject: Re: question regarding (AF_INET6, SOCK_RAW, IPPROTO_RAW) sockets

From: Octavian Purdila <[email-masked]>
Date: Thu, 13 Mar 2008 01:02:02 +0200

On Wednesday 12 March 2008, Rémi Denis-Courmont wrote:

>
> I am a bit confused here. Why would you use IPV6_PKTINFO with a
> network-layer raw socket? You have to write the IPv6 header anyway, so what
> useful additional infos would you the ancillary data contain?

Hi Rémi,

You are right. For some reason (the IPV4 case / man 7 raw) I though that 
IPV6_PKTINFO is implied when using IPPROTO_RAW but I see now that it is not 
required.

Thanks,
tavi